using System;
using System.EnterpriseServices;

namespace MessageReceiverCompLib
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	
	[InterfaceQueuing(Interface="IMessageReceiver")]
	public class MyReceiver : ServicedComponent, MessageReceiverInterfaceLib.IMessageReceiver
	{
		private readonly string objectID = Guid.NewGuid().ToString();
		public MyReceiver()
		{
		}

		private string getAppDomainThreadInfo()
		{
			return "AppDomain: " + AppDomain.CurrentDomain.FriendlyName + 
				" Thread ID: " + AppDomain.GetCurrentThreadId();
		}

		#region IMessageReceiver Members

		public void processMessage(string msg)
		{
			System.Windows.Forms.MessageBox.Show("Received (" +
				objectID + "-" + getAppDomainThreadInfo() +
				"): " + msg);
		}
		#endregion
	}
}
