using System;

namespace ObjectPoolingTestCode
{
	class TestCode
	{
		[STAThread]
		static void Main(string[] args)
		{
			// You can simply create object like the following.
			//ObjectPoolingCompLib.PooledClass obj0 = new ObjectPoolingCompLib.PooledClass();

			// In this example, in order to illustrate the effect of Library activation, we
			// are creating the object within another Appdomain as seen below.

			AppDomain domain = AppDomain.CreateDomain(args[0]);
			ObjectPoolingCompLib.PooledClass obj1 = 
				domain.CreateInstance("ObjectPoolingCompLib", "ObjectPoolingCompLib.PooledClass").Unwrap()
				as ObjectPoolingCompLib.PooledClass;

			Console.WriteLine(obj1.getInfo());
			Console.WriteLine(obj1.getInfo());
			System.EnterpriseServices.ServicedComponent.DisposeObject(obj1);

			ObjectPoolingCompLib.PooledClass obj2 = 
				domain.CreateInstance("ObjectPoolingCompLib", "ObjectPoolingCompLib.PooledClass").Unwrap()
				as ObjectPoolingCompLib.PooledClass;

			Console.WriteLine(obj2.getInfo());
			Console.WriteLine(obj2.getInfo());

			System.EnterpriseServices.ServicedComponent.DisposeObject(obj2);
			Console.WriteLine("Press Enter to quit");
			Console.ReadLine();
		}
	}
}
